branch.hh File Reference
`#include <gecode/kernel.hh>`
`#include <gecode/int.hh>`
`#include <gecode/set.hh>`
`#include <gecode/float.hh>`
`#include "test/test.hh"`

Go to the source code of this file.

## Classes

class | Test::Branch::IntTest
| Base class for tests for branching on integer variables More...
class | Test::Branch::BoolTest
| Base class for tests for branching on Boolean variables More...
class | Test::Branch::SetTest
| Base class for tests for branching on set variables More...
class | Test::Branch::FloatTest
| Base class for tests for branching on float variables More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Branch
| Tests for branchings.